# Pollinator Pathway (Kotlin)
* ThePollinator Pathway App is a robust registration and communication tool for new or existing pathway members.  Features include registering your new pollinator box via the included QR code, viewing existing pathway sites and their associated profiles, meeting and chatting with members, and a live map of the pathway!


## Customers / Stakeholders
* New / Incoming members
* Existing members
* Administrators / Owners / Volunteers

## Personas
* Matt has a farm and just joined the Pollinator Pathway. 
* Amy’s a member of the PNW Pollinator Pathway and her pollinator garden has expanded.
* Alex is the president of the PNW Pollinator Pathway.

## Pain points and user needs
* Matt is unsure how to register his site with the pathway.
* Amy is having difficulty updating her information for her site.
* Alex does not currently have administrative access and control of accounts

## Scenarios
* Matt has a farm and just joined the pollinator pathway.  He wants to set up his site information with a name, description, photos, and a link to his website. 
* Amy’s Pollinator garden has expanded and she can go on the app to edit her information.
* Alex wants to have administrative access and control of accounts.

## Competitive analysis

| Pollination Network| | 
|-------|---------|
| |Who?  Beekeepers and growers|
| |What? Connects beekeepers and growers together for mutual pollination                                           
| |When? When growers need pollination, or want to contact beekeepers                                                                             
| |Where? Through the app store                                                        
| |Why? To help fuel pollination efforts in areas where it may lack, or promote faster pollination in crops                            
| |How? By using the map, growers can find local pollinators and learn more about them to help narrow a choice.                                                                                                                       

| Bumble Bee Watch| | 
|-------|---------|
| |Who?  Bee enthusiasts, conservationists, nature enthusiast|
| |What? Helps users identify North American bumble bees and view maps of recent sightings                                              
| |When? The user would use this app when identifying bees                                                                              
| |Where? Users discover this app through conservation programs or the app store                                                        
| |Why? Someone would use this app to identify different kinds of bees and to share sightings and to educate                            
| |How? People like that they are helping scientists track bees, some reviewers were frustrated with errors when trying to upload a bee      sighting                                                                                                                             

|PolliNation ID|  |
|-----|----|
| |Who? Users are Michigan residents who want to help raise awareness about pollinators by joining the university of Michigan’s PolliNation project
| |What? The app helps users identify pollinators and learn more about their habitats
| |When? Users would use the app to submit accounts of pollinators they find in their neighborhood
| |Where? Users would find this app through the University of Michigan – Dearborn and their bee hotel program
| |Why? Someone would use this app for educational purposes or in conjunction with the PolliNation pollinator hotel program
| |How? Users use the app to identify pollinators.  User reviews indicate that it has limited use and is intended for members of the PolliNation program.

|PolliNation Hotels|  |
|----|---|
| |Who? This app is for members of the PolliNation program through University of Michigan who have received a pollinator hotel.
| |What? The app tracks hotel locations in southeast Michigan and allows users to view the types of pollinators visiting the hotels
| |When? Users would use this app when tracking pollinators of the hotels.  Users without hotels have limited use and can only view the map and information about each point.
| |Where? Users would find this app through the University of Michigan’s PolliNation hotel program.
| |Why? Someone would use this app if they had a pollinator hotel through the PolliNation program and wanted to identify pollinators and track pollinators visiting various hotels in the program.
| |How? Users are using this app for conservation and educational purposes.  Reviews indicate that has very limited use.


|Strengths| Weaknesses|Opportunities |Threats|
|----|----|---|---|
|•	Smart search tool to identify bees|•	Limited use|•	Include more pollinators, hummingbirds, butterflies, etc.|•	Established users|
|•	Educational|•	Bee focused|•	Expand to other areas|•	Identification tools are easy to use|
|•	Sighting map|•	Glitches or “bugs” in the app|•	Could have more information about how to support pollinator habitats|•	Established Pollinator hotel program|
|•	Illustrations and user submitted photos|•	PolliNation Hotels is primarily for members of the program, not useful for the general public| | |
|•	Information about pollinator habits and habitats| | | |
|•	Pollinator tracking| | | |

# IMPLEMENTATION

## User stories
* SCALE: P0 (Most Important) - P2 (Least Important)

* P0: Farmer Anna has just received her boxes in the mail and wants to set them up.  She sets the box with its QR code in its location, then scans the QR code to register the box with the Pollinator Pathway server to add the box to the pathways map.
* P0: Alex wants to have administrative access to approve new accounts and photos before they are published on the site.  She logs into the app and approves and denies new content and edits.
* P1: Liesl is a member of the Pollinator Pathway and wants to see other sites on the PNW Pollinator Pathway and view their information.  She uses the app to view other locations on the map and view their profiles.
* P2: Bradley is walking by a site on the PNW Pollinator Pathway and wants to see the site information.  He opens the app on his phone, scans the QR code, and views the site's profile and information page.

## Walk through
* "High Fidelity Prototype" - https://www.figma.com/file/k91nrq7O2EDauWD3BhyXrk/final-Prototype?node-id=0%3A1 

## Screens
Registering a New Site

<a href="https://lh3.googleusercontent.com/a1Uk-cxkpgSspQjq4dgVnLAX4TBjksfWDF21K9Q_aUGd4uhCqTcxrWfyybC0iZtyLKLK54cnHWHa628v2JL8-_xsDvj-GDyF3EdXaGvnhMwGIxxkSWpDEOXpTPC-_-uXGiWTGSdjIA=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/a1Uk-cxkpgSspQjq4dgVnLAX4TBjksfWDF21K9Q_aUGd4uhCqTcxrWfyybC0iZtyLKLK54cnHWHa628v2JL8-_xsDvj-GDyF3EdXaGvnhMwGIxxkSWpDEOXpTPC-_-uXGiWTGSdjIA=w440-h159-p-k" /> </a>

Editing Site Information

<a href="https://lh3.googleusercontent.com/KoZkGVl0fIQXEcxW_YjDQdkx52lPHzZPJ76byvih8Y2PotFZgRpCJG7SrCOhMAcvEc3Mzv4G-j-E9r5-Uycaqr7w1lvcsXoYIIDOPNGEnBKxJ4iJ4USMCX8oa_jgijSxa4m_RoEu5Q=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/KoZkGVl0fIQXEcxW_YjDQdkx52lPHzZPJ76byvih8Y2PotFZgRpCJG7SrCOhMAcvEc3Mzv4G-j-E9r5-Uycaqr7w1lvcsXoYIIDOPNGEnBKxJ4iJ4USMCX8oa_jgijSxa4m_RoEu5Q=w576-h159-p-k" /> </a>

Viewing Other Sites

<a href="https://lh3.googleusercontent.com/j_7GAR8yzdN2gE2J2eMibAEdHYEVJ3VH2qBaVACM9QN-C3cabBtU_eWT-xva_2-ZuG29wUTisKVfA9aHV0IkpNdno7S-7GqdQVHN1-CrESmLHOpq_sW13F7102QHKXQ-nSHi-irIcQ=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/j_7GAR8yzdN2gE2J2eMibAEdHYEVJ3VH2qBaVACM9QN-C3cabBtU_eWT-xva_2-ZuG29wUTisKVfA9aHV0IkpNdno7S-7GqdQVHN1-CrESmLHOpq_sW13F7102QHKXQ-nSHi-irIcQ=w188-h159-p-k" /> </a>

## Color
* Primary color:#168C8C

<a href="https://lh3.googleusercontent.com/cp7RNFsnjpBUY12JLR4SB8s7zCp7Dkd5rxdUpR2thJgiENGaUfwzYzhPPaH-TrPVgY5-U7DRe2H1UwEo7a1AvBZa4QD6sKfedkfhSlmve-qstR-FBCkcCiT0v5zzdzevIlbQcHHLUA=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/cp7RNFsnjpBUY12JLR4SB8s7zCp7Dkd5rxdUpR2thJgiENGaUfwzYzhPPaH-TrPVgY5-U7DRe2H1UwEo7a1AvBZa4QD6sKfedkfhSlmve-qstR-FBCkcCiT0v5zzdzevIlbQcHHLUA=w216-h144-p-k" /> </a>
* Secondary color: #82BF45

<a href="https://lh3.googleusercontent.com/_JAX_gNNrF-OshBzmm_ERP9i9UZ8C-yl0yxl_q147icDgUpas7wYwMBKYsAwcf3d7WHw8ouGy2KiadjTfRX2_lmBoX45RkOF4cXfQBKBhmU2qj9m8bGRZVI2Xnh6b1lu2GFxeXxmnw=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/_JAX_gNNrF-OshBzmm_ERP9i9UZ8C-yl0yxl_q147icDgUpas7wYwMBKYsAwcf3d7WHw8ouGy2KiadjTfRX2_lmBoX45RkOF4cXfQBKBhmU2qj9m8bGRZVI2Xnh6b1lu2GFxeXxmnw=w216-h144-p-k" /> </a>

* Primary text color: #000

<a href="https://lh3.googleusercontent.com/6AwGyBSKQfNn4X85s5kquLKQyjPlH7DUSrEQQtU1O6xURAuRW24H1ieGD-i6oTc9rIa2Eo7Y_QTNhTy6OoYj-YgmjPxCA_7407ctrwNFWEmiknQ_SWvu81P0fuPmK6GAdlvAWpDoyQ=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/6AwGyBSKQfNn4X85s5kquLKQyjPlH7DUSrEQQtU1O6xURAuRW24H1ieGD-i6oTc9rIa2Eo7Y_QTNhTy6OoYj-YgmjPxCA_7407ctrwNFWEmiknQ_SWvu81P0fuPmK6GAdlvAWpDoyQ=w216-h144-p-k" /> </a>
* Secondary text color: #0A403A

<a href="https://lh3.googleusercontent.com/6xbVh7Vbl7aldeWAEW0ziUeCC51Y3TIBoCHu_oHUXCSItRszim_9xtN2pU1G7OZXjE6-Jd8mmX5IrV6Bn2pGh2geC5ThCfY_ZTkllNFpK2JYFQpTIFaedlTZGhAf1IRTgWe_aHsKCA=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/6xbVh7Vbl7aldeWAEW0ziUeCC51Y3TIBoCHu_oHUXCSItRszim_9xtN2pU1G7OZXjE6-Jd8mmX5IrV6Bn2pGh2geC5ThCfY_ZTkllNFpK2JYFQpTIFaedlTZGhAf1IRTgWe_aHsKCA=w216-h144-p-k" /> </a>

## App icon
Logo - Splash Screen: 

<a href="https://lh3.googleusercontent.com/eXec4eo7vnG_6HyQJDfivuoOrs9Xh76ApRKIHGIJgM07sjdwQ2nxIKGaAdbwX8o2uLzISPzuGqOnpopC91HBShvhz1jgNpbFqUPAT7BIBve8DnDpikeevyVBVFOCLOq-c5e7TvrA8Q=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/eXec4eo7vnG_6HyQJDfivuoOrs9Xh76ApRKIHGIJgM07sjdwQ2nxIKGaAdbwX8o2uLzISPzuGqOnpopC91HBShvhz1jgNpbFqUPAT7BIBve8DnDpikeevyVBVFOCLOq-c5e7TvrA8Q=w300-h268-p-k" /> </a>

 Icon - Google Play Store:

<a href="https://lh3.googleusercontent.com/G0FTQndTDx8a44fCmWSDBvDTM-813pNssDI3rvL87XS-zv9SI2FsQhZWJi6E34qWvJoeaPDTzYD29uP2ohfkdtabKQ15IRWo6nmh0c8K5FG7bNuauEpQMNIXgJyNaMDdt05V5vHPAQ=w2400?source=screenshot.guru"> <img src="https://lh3.googleusercontent.com/G0FTQndTDx8a44fCmWSDBvDTM-813pNssDI3rvL87XS-zv9SI2FsQhZWJi6E34qWvJoeaPDTzYD29uP2ohfkdtabKQ15IRWo6nmh0c8K5FG7bNuauEpQMNIXgJyNaMDdt05V5vHPAQ=w600-h315-p-k" /> </a>

## Integration

* Google Maps API
* Google Vision API
* Google Play Services API

# FUTURE CONSIDERATIONS

## Usability summary
Based on the usability studies on the high-fidelity prototype added a welcome screen to the registration flow with directions for how to register a new site.  We also fixed spacing and alignment consistency issues.  We adjusted the navigation by removing buttons on the landing page and utilizing the android bottom navigation.  We changed less important buttons to outlined instead of filled based on material design and changed the text in some buttons for clarity.  We also adjusted the background to make text boxes clearer.


## Monetization 
* Adding a storefront for farmers, community members, and other users to create listings and sell goods and services.
* Creating affiliate opportunities for storefront
* Creating referral bonuses for new members who set up a pollinator kit
* Relevant advertising (local honey, pollinator tools / equipment, services)

## MEASURING ENGAGEMENT
* New Users: Initially scanning QR code upon receipt and setup of pollinator kit, creating a new profile, and viewing other pollinator locations, member profiles, and offerings through the app.
* Existing Users: Using the app to communicate with other members, viewing other pollinator locations, editing profile information as needed, and interacting with administrators / owners / management
* Owners / Admins / Volunteers: Approving all incoming requests by new users to be added to the pathway, editing/deleting profiles as needed, and general maintenance.

## Stretch features

* Adding storefront for sale of pollinator related goods and services.
* Adding blog style board with new information and announcements.
* Adding volunteer opportunities.
* Adding Contact information.
* Add informational pages about various pollinators.
* Tools for identifying pollinators found at plantings.

